org.apache.sling.discovery.impl.cluster.voting

## Enum VotingHandler.VotingDetail

- java.lang.Object
- - java.lang.Enum<VotingHandler.VotingDetail>
  - - org.apache.sling.discovery.impl.cluster.voting.VotingHandler.VotingDetail

All Implemented Interfaces:
  Serializable, Comparable<VotingHandler.VotingDetail>

Enclosing class:
  VotingHandler

    public static enum VotingHandler.VotingDetail
    extends Enum<VotingHandler.VotingDetail>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PROMOTED`
`TIMEDOUT`
`UNCHANGED`
`VOTED_NO`
`VOTED_YES`
`WINNING`

### Method Summary

All Methods Static Methods Concrete Methods
`static VotingHandler.VotingDetail` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VotingHandler.VotingDetail[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROMOTED

    public static final VotingHandler.VotingDetail PROMOTED

#### WINNING

    public static final VotingHandler.VotingDetail WINNING

#### VOTED_YES

    public static final VotingHandler.VotingDetail VOTED_YES

#### VOTED_NO

    public static final VotingHandler.VotingDetail VOTED_NO

#### UNCHANGED

    public static final VotingHandler.VotingDetail UNCHANGED

#### TIMEDOUT

    public static final VotingHandler.VotingDetail TIMEDOUT

### Method Detail

#### values

    public static VotingHandler.VotingDetail[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VotingHandler.VotingDetail c : VotingHandler.VotingDetail.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VotingHandler.VotingDetail valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null